model FourWheeler 
  extends VehicleSystems.Icons.Chassis;
  extends VehicleSystems.Interfaces.Subsystems.Chassis(
                                            redeclare connector DriverBus = 
        LocalDriverBus);
  extends BaseClasses.PartialFourWheeler(
    wheel_2(radius=tire_radius),
    wheel_1(radius=tire_radius),
    wheel_4(radius=tire_radius),
    wheel_3(radius=tire_radius));
  annotation (Diagram);
  VehicleSpeedSensor vehicle_speed(tire_radius=tire_radius) 
    annotation (extent=[74,80; 86,92], rotation=90);
protected 
  connector LocalDriverBus 
    extends StandardDriverBus;
    Modelica.Blocks.Interfaces.RealSignal vehicle_speed(
                                                      redeclare type SignalType
        = Types.KPH);
  end LocalDriverBus;
public 
  parameter Modelica.SIunits.Radius tire_radius;
equation 
  connect(wheel_2.driveShaft, wheels.right_front_wheel) annotation (points=[
        -60,73.3; -60,76; -100,76; -100,0], style(color=0, rgbcolor={0,0,0}));
  connect(wheel_1.driveShaft, wheels.left_front_wheel) annotation (points=[
        -60,-73.3; -60,-76; -100,-76; -100,0], style(color=0, rgbcolor={0,0,0}));
  connect(wheel_3.driveShaft, wheels.left_rear_wheel) annotation (points=[60,
        -73.3; 60,-76; -100,-76; -100,0], style(color=0, rgbcolor={0,0,0}));
  connect(wheel_4.driveShaft, wheels.right_rear_wheel) annotation (points=[60,
        73.3; 60,76; -100,76; -100,0], style(color=0, rgbcolor={0,0,0}));
  connect(AckermannSteering1.flange_a, driver_bus.steering_wheel) annotation (
     points=[-28.5,8; -6,8; -6,100; 60,100], style(color=0, rgbcolor={0,0,0}));
  connect(vehicle_speed.hub, wheel_4.driveShaft) annotation (points=[80,80; 80,73.3;
        60,73.3], style(
      color=0,
      rgbcolor={0,0,0},
      fillColor=10,
      rgbfillColor={135,135,135},
      fillPattern=1));
  connect(vehicle_speed.v, driver_bus.vehicle_speed) annotation (points=[80,
        92; 80,100; 62,100], style(
      color=0,
      rgbcolor={0,0,0},
      fillColor=10,
      rgbfillColor={135,135,135},
      fillPattern=1));
end FourWheeler;
