partial model Accessories "Accessory devices" 
  extends VehicleSystems.Icons.Accessories;
  extends VehicleSystems.Interfaces.Subsystems.Accessories;
  annotation (Diagram(
      Ellipse(extent=[-38, 32; -26, -30], style(
          color=0,
          gradient=3,
          fillColor=8)),
      Ellipse(extent=[-38, 20; -28, -20], style(
          color=0,
          gradient=3,
          fillColor=8)),
      Rectangle(extent=[-44, 20; -32, -20], style(
          color=0,
          gradient=2,
          fillColor=8)),
      Ellipse(extent=[-50, 32; -38, -30], style(
          color=0,
          gradient=3,
          fillColor=8)),
      Rectangle(extent=[-26, 6; -16, -6], style(
          color=0,
          gradient=2,
          fillColor=8)),
      Ellipse(extent=[-18, 40; -6, -40], style(
          color=0,
          gradient=2,
          fillColor=8)),
      Ellipse(extent=[34, 40; 46, -40], style(
          color=0,
          gradient=2,
          fillColor=8)),
      Rectangle(extent=[-12, 40; 40, -40], style(
          color=0,
          gradient=2,
          fillColor=8)),
      Rectangle(extent=[44, 6; 90, -6], style(
          color=0,
          gradient=2,
          fillColor=8)),
      Rectangle(extent=[-2, 32; 22, 30], style(color=0, fillColor=0)),
      Rectangle(extent=[-4, 16; 20, 14], style(color=0, fillColor=0)),
      Rectangle(extent=[-6, 2; 18, 0], style(color=0, fillColor=0)),
      Rectangle(extent=[-4, -14; 20, -16], style(color=0, fillColor=0)),
      Rectangle(extent=[0, -28; 24, -30], style(color=0, fillColor=0)),
      Text(
        extent=[-100, 100; 100, 40],
        string="%name",
        style(color=0)),
      Line(points=[-50, -80; 20, -80; 20, -40], style(
          color=1,
          fillColor=0,
          fillPattern=1)),
      Text(
        extent=[-100, -40; 10, -56],
        style(color=1),
        string="Electrical connection"),
      Line(points=[-60, -54; -60, -66], style(color=1, arrow=1)),
      Text(
        extent=[26, -52; 104, -72],
        string="Rotational load",
        style(color=0, arrow=1)),
      Line(points=[70, -56; 94, -22], style(color=0, arrow=1))), Documentation(
        info="<html>
<p>
For the purposes of use in an expandable modular vehicle model, the Auxiliaries are defined as a subsystem that applies mechanical loading to the Powerplant subsystem and electrical loading to the Electrical subsystem.
</p>
<p>
The Auxiliaries subsystem has the capacity to accept electrical, plant and control signals for the purpose of modifying its internal states, whilst also producing electrical signals of its own for use by other subsystems.
</p>
<p>
It is sufficient to consider the Auxiliaries as a black box subsystem with an output for rigid connection to the Powerplant subsystem, a connection to the Chassis subsystem, an electrical connection to the Electrical subsystem, a controller for connection to the Controller subsystem, and a direct connection to the environmental conditions from the Environment subsystem as shown in Figure 6.4.1 of the VMA specification.
</p>
</html>"));
end Accessories;
