partial model Chassis "Subsystem representing chassis/vehicle dynamics" 
  
  extends VehicleSystems.Icons.Chassis;
  extends VehicleSystems.Interfaces.Subsystems.Chassis;
  annotation (Diagram, Documentation(info="<html>
<p>
For the purposes of use in an expandable modular vehicle model, the Chassis is defined as a subsystem that converts torque inputs from the Driveline and Brakes subsystems, and linear force input from the Steering subsystem into a multi-dimensional rotation and translation of the vehicle itself, relative to an external environment. 
</p>
<p>
The Chassis subsystem has the capacity to accept electrical control signals for the purpose of modifying its internal states, whilst also producing electrical signals of its own for use by other subsystems.  The Controller Bus carries these signals.  The Chassis also has an electrical current flow associated with it for energy exchange with the Electrical subsystem.
</p>
<p>
It is sufficient to consider the chassis as a black box subsystem with four hubs for rigid connection to the Driveline subsystem, and for torque transfer from the Brakes subsystem as shown in Figure 6.8.1.  The Chassis subsystem accepts signals relating to instantaneous environmental conditions and includes an electrical connection to the Electrical subsystem.  The subsystem is capable of simultaneously accepting mechanical signals from the Steering subsystem (via the rack) whilst applying feedback directly to the rack.
</p>
</html>
"));
end Chassis;
