partial model Driveline 
  "Model to compute distribution of drive torque to the wheels" 
  
  extends VehicleSystems.Icons.Driveline;
  extends VehicleSystems.Interfaces.Subsystems.Driveline;
  annotation (Documentation(info="<html>
<p>
For the purposes of use in an expandable modular vehicle model, the Driveline is defined as a subsystem that transfers torque to the road wheels found in the Chassis subsystem via half-shafts. 
</p>
<p>
The torque transferred will often be some function of the torque applied at the driveline input shaft by the Transmission subsystem. 
</p>
<p>
The Driveline has the capacity to accept electrical control signals for the purpose of modifying its internal states, whilst also producing electrical signals of its own for use by other subsystems.  The Controller Bus carries the electrical control signals.  The Driveline also has an electrical connector associated with it for energy exchange with the Electrical subsystem.
</p>
<p>
It is sufficient to consider the Driveline as a black box subsystem with half-shafts for connection to the wheels in the Chassis subsystem, an input shaft for connection to the Transmission subsystem, an electrical connection to the Electrical subsystem, and a controller for connection to the Controller Bus as shown in Figure 6.7.1 in the VMA specification.
</p>
</html>"), Diagram);
end Driveline;
