partial model Powerplant "Definition for the vehicle powerplant" 
  extends VehicleSystems.Icons.Powerplant;
  extends VehicleSystems.Interfaces.Subsystems.Powerplant;
  annotation (Diagram(
      Rectangle(extent=[-100, 60; 100, -60], style(
          color=0,
          fillColor=7,
          fillPattern=1)),
      Rectangle(extent=[90, 42; -100, -38], style(
          color=8,
          gradient=2,
          fillColor=8)),
      Ellipse(extent=[-100, 14; -60, 34], style(
          color=8,
          gradient=3,
          fillColor=8)),
      Rectangle(extent=[-100, 42; -60, 22], style(
          color=8,
          gradient=1,
          fillColor=8)),
      Ellipse(extent=[-100, 32; -60, 52], style(
          color=8,
          gradient=3,
          fillColor=8)),
      Ellipse(extent=[-50, 14; -10, 34], style(
          color=8,
          gradient=3,
          fillColor=8)),
      Rectangle(extent=[-50, 42; -10, 22], style(
          color=8,
          gradient=1,
          fillColor=8)),
      Ellipse(extent=[-50, 32; -10, 52], style(
          color=8,
          gradient=3,
          fillColor=8)),
      Ellipse(extent=[0, 14; 40, 34], style(
          color=8,
          gradient=3,
          fillColor=8)),
      Rectangle(extent=[0, 42; 40, 22], style(
          color=8,
          gradient=1,
          fillColor=8)),
      Ellipse(extent=[0, 32; 40, 52], style(
          color=8,
          gradient=3,
          fillColor=8)),
      Ellipse(extent=[50, 14; 90, 34], style(
          color=8,
          gradient=3,
          fillColor=8)),
      Rectangle(extent=[50, 42; 90, 22], style(
          color=8,
          gradient=1,
          fillColor=8)),
      Ellipse(extent=[50, 32; 90, 52], style(
          color=8,
          gradient=3,
          fillColor=8)),
      Ellipse(extent=[-100, -28; -60, -8], style(
          color=8,
          gradient=3,
          fillColor=8)),
      Rectangle(extent=[-100, -18; -60, -38], style(
          color=8,
          gradient=1,
          fillColor=8)),
      Ellipse(extent=[-100, -48; -60, -28], style(
          color=8,
          gradient=3,
          fillColor=8)),
      Ellipse(extent=[-50, -28; -10, -8], style(
          color=8,
          gradient=3,
          fillColor=8)),
      Rectangle(extent=[-50, -18; -10, -38], style(
          color=8,
          gradient=1,
          fillColor=8)),
      Ellipse(extent=[-50, -48; -10, -28], style(
          color=8,
          gradient=3,
          fillColor=8)),
      Ellipse(extent=[0, -28; 40, -8], style(
          color=8,
          gradient=3,
          fillColor=8)),
      Rectangle(extent=[0, -18; 40, -38], style(
          color=8,
          gradient=1,
          fillColor=8)),
      Ellipse(extent=[0, -48; 40, -28], style(
          color=8,
          gradient=3,
          fillColor=8)),
      Ellipse(extent=[50, -28; 90, -8], style(
          color=8,
          gradient=3,
          fillColor=8)),
      Rectangle(extent=[50, -18; 90, -38], style(
          color=8,
          gradient=1,
          fillColor=8)),
      Ellipse(extent=[50, -48; 90, -28], style(
          color=8,
          gradient=3,
          fillColor=8)),
      Line(points=[-4, -38; -4, -68], style(
          color=0,
          fillColor=7,
          fillPattern=1)),
      Line(points=[-80, 70; -80, 60], style(
          color=1,
          fillColor=7,
          fillPattern=1)),
      Line(points=[60, 100; 60, 60], style(color=58)),
      Text(
        extent=[-44, 80; 102, 58],
        string="Accelerator pedal connection (translational)",
        style(color=58)),
      Line(points=[32, 76; 48, 96], style(color=58, arrow=1)),
      Text(
        extent=[-158, 118; -38, 92],
        string="Electrical power supply connection (electrical)",
        style(color=1)),
      Line(points=[-80, 102; -80, 90], style(color=1, arrow=1)),
      Text(
        extent=[-86, 20; 86, -14],
        style(color=0),
        string="Physical connection for drive torque (rotational)"),
      Line(points=[76, 4; 82, 4; 90, 0], style(color=0, arrow=1)),
      Text(
        extent=[-130, -66; -14, -94],
        string="Accessory drive connection (rotational)",
        style(color=0)),
      Line(points=[-82, -76; -102, -68; -102, -10], style(color=0, arrow=1)),
      Text(
        extent=[8, -86; 102, -94],
        style(color=0),
        string="Engine block (rotational)"),
      Line(points=[40, -86; 32, -80; 12, -80], style(color=0, arrow=1))),
      Documentation(info="<html>
<p>
For the purposes of use in an expandable modular vehicle model, the Powerplant is defined as a subsystem that develops a motive torque capable of propelling the vehicle, where energy conversion devices such as an internal combustion engine and/or electric motors produce the torque.  This motive torque is delivered to the transmission subsystem. 
</p>
<p>
The Powerplant accepts mechanical signals directly from the Driver, electrical control signals from the Controller Bus, a mechanical load from the Auxiliaries subsystem and plant signals from the Environment subsystem.  The Powerplant also has an electrical current flow associated with it for energy exchange with the Electrical subsystem.
</p>
<p>
The Powerplant has the capacity to accept electrical control signals for the purpose of modifying its internal states, whilst also producing electrical signals of its own for use by other subsystems. 
</p>
<p>
It is sufficient to consider the Powerplant as a black box subsystem with an output shaft for rigid connection to the Transmission subsystem, a rigid connection to the Auxiliaries subsystem, an electrical connection to the Electrical subsystem, a local controller and a direct connection to the environmental conditions from the Environment subsystem as shown in Figure 6.5.1. 
</p>
<p>
The Powerplant subsystem also has a direct connection to the Driver through accelerator pedal position.  It is assumed that accelerator pedal actuator and sensor models will reside in the Powerplant subsystem.  For vehicles with a vehicle system controller that interprets the Driver acceleration demand, the sensed acceleration demand signal would be generated and placed on the Control Bus from within the Powerplant subsystem. 
</p>
</html>"));
  
end Powerplant;
