partial model Transmission "Transmission from engine to axle" 
  extends VehicleSystems.Icons.Transmission;
  extends VehicleSystems.Interfaces.Subsystems.Transmission;
  annotation (Diagram(
      Polygon(points=[-25, 70; 9, 40; 9, 31; -25, 57; -25, 70], style(
          color=0,
          fillColor=0,
          fillPattern=1)),
      Polygon(points=[-25, 57; 9, 31; 9, 23; -25, 47; -25, 57], style(
          color=10,
          fillColor=10,
          fillPattern=1)),
      Polygon(points=[-25, 47; 9, 23; 9, 15; -25, 35; -25, 47], style(
          color=10,
          fillColor=9,
          fillPattern=1)),
      Polygon(points=[-25, 35; 9, 15; 9, -35; -25, -35; -25, 35], style(
          color=8,
          fillColor=8,
          fillPattern=1)),
      Polygon(points=[-25, -47; 8, -24; 8, -32; -25, -56; -25, -47], style(
          color=10,
          fillColor=10,
          fillPattern=1)),
      Polygon(points=[-25, -70; 8, -40; 8, -32; -25, -56; -25, -70], style(
          color=0,
          fillColor=0,
          fillPattern=1)),
      Polygon(points=[-25, -35; 8, -18; 8, -24; -25, -47; -25, -35], style(
          color=9,
          fillColor=9,
          fillPattern=1)),
      Rectangle(extent=[-30, 70; -34, -70], style(
          gradient=2,
          fillColor=4,
          fillPattern=1)),
      Rectangle(extent=[-34, 40; -30, -40], style(
          color=7,
          fillColor=7,
          fillPattern=1)),
      Ellipse(extent=[-30, -20; -70, -60], style(fillColor=3, fillPattern=1)),
      Ellipse(extent=[-30, 60; -70, 20], style(fillColor=3, fillPattern=1)),
      Ellipse(extent=[-60, 46; -40, 26], style(fillColor=7, fillPattern=1)),
      Ellipse(extent=[-60, -26; -40, -46], style(fillColor=7, fillPattern=1)),
      Rectangle(extent=[-52, -20; -48, -28], style(
          color=7,
          fillColor=7,
          fillPattern=1)),
      Rectangle(extent=[-52, 28; -48, 20], style(
          color=7,
          fillColor=7,
          fillPattern=1)),
      Polygon(points=[-52, 34; -68, 54; -66, 56; -50, 36; -52, 34], style(
          color=7,
          fillColor=7,
          fillPattern=1)),
      Polygon(points=[-52, 36; -36, 58; -34, 56; -50, 34; -52, 36], style(
          color=7,
          fillColor=7,
          fillPattern=1)),
      Polygon(points=[-68, -58; -52, -36; -50, -38; -66, -60; -68, -58], style(
          color=7,
          fillColor=7,
          fillPattern=1)),
      Polygon(points=[-32, -60; -48, -40; -46, -38; -30, -58; -32, -60], style(
          color=7,
          fillColor=7,
          fillPattern=1)),
      Rectangle(extent=[-70, 40; -66, -40], style(
          gradient=2,
          fillColor=4,
          fillPattern=1)),
      Rectangle(extent=[-32, 70; -80, 66], style(
          color=0,
          fillColor=0,
          fillPattern=1)),
      Rectangle(extent=[-32, -66; -80, -70], style(
          color=0,
          fillColor=0,
          fillPattern=1)),
      Rectangle(extent=[-80, 70; -74, -70], style(
          gradient=2,
          fillColor=4,
          fillPattern=1)),
      Rectangle(extent=[-66, 4; -24, -4], style(
          gradient=2,
          fillColor=4,
          fillPattern=1)),
      Rectangle(extent=[80, 40; 8, -40], style(
          gradient=2,
          fillColor=8,
          fillPattern=1)),
      Line(points=[20, -40; 20, -70], style(color=0)),
      Text(
        extent=[36, -70; 106, -82],
        style(color=1, arrow=1),
        string="Electrical supply"),
      Line(points=[60, -70; 60, -62; 60, -60], style(color=1, arrow=1)),
      Text(
        extent=[-98, -70; -8, -90],
        string="Transmission housing",
        style(color=0, arrow=1)),
      Line(points=[-8, -80; 6, -80], style(color=0, arrow=1)),
      Text(
        extent=[-114, 92; -42, 80],
        style(color=0, arrow=1),
        string="Input shaft"),
      Line(points=[-80, 80; -90, 70; -90, 10], style(color=0, arrow=1)),
      Text(
        extent=[28, 90; 100, 78],
        style(color=0, arrow=1),
        string="Output shaft"),
      Line(points=[68, 80; 90, 60; 90, 14], style(color=0, arrow=1))),
      Documentation(info="<html>
<p>
For the purposes of use in an expandable modular vehicle model, the Transmission subsystem is defined as a subsystem that applies a single torque to the Driveline input shaft.  The torque transferred will often be some function of the single torque applied at the Transmission input shaft from the Powerplant subsystem.  
</p>
<p>
The Transmission accepts signals directly from the Driver and has the capacity to accept electrical control signals for the purpose of modifying its internal states, whilst also producing electrical control signals of its own for use by other subsystems.  The Controller Bus carries the electrical control signals.  The Transmission also has an electrical current flow associated with it for energy exchange with the Electrical subsystem.
</p>
<p>
It is sufficient to consider the Transmission as a black box with an output shaft for connection to the Driveline subsystem, an input shaft for connection to the Powerplant subsystem, an electrical connection to the Electrical subsystem, and a controller for connection to a Controller Bus as shown in Figure 6.6.1.  Inputs from the Driver subsystem are also accepted.
</p>
</html>"));
  
end Transmission;
