package Icons 
  "This package contains some common icon definitions used elsewhere in the VMA package" 
  
  partial connector Bus "A visual representation of a bus." 
    annotation (
      bus,
      Icon(
        Ellipse(extent=[-80, 100; 0, -100], style(
            pattern=0,
            gradient=3,
            fillColor=10)),
        Rectangle(extent=[-40, 100; 20, -100], style(
            pattern=0,
            gradient=2,
            fillColor=10)),
        Ellipse(extent=[-18, 100; 62, -100], style(
            pattern=0,
            gradient=3,
            fillColor=10)),
        Ellipse(extent=[-2, 78; 18, 28], style(pattern=0, fillColor=42)),
        Ellipse(extent=[-10, 20; 10, -30], style(pattern=0, fillColor=77)),
        Ellipse(extent=[16, -38; 36, -88], style(pattern=0, fillColor=51)),
        Ellipse(extent=[36, 32; 56, -18], style(pattern=0, fillColor=62)),
        Ellipse(extent=[46, 28; 62, -12], style(pattern=0, fillColor=45)),
        Ellipse(extent=[8, 74; 24, 34], style(pattern=0, fillColor=45)),
        Ellipse(extent=[0, 16; 16, -24], style(pattern=0, fillColor=45)),
        Ellipse(extent=[26, -42; 42, -82], style(pattern=0, fillColor=45)),
        Text(
          extent=[-100, -100; 100, -140],
          string="%name",
          style(
            pattern=0,
            gradient=2,
            fillColor=0))),
      Diagram);
  end Bus;
  
  partial model Controller 
    annotation (Icon(
        Rectangle(extent=[-100, 100; 100, -100], style(
            pattern=0,
            fillColor=7,
            rgbfillColor={255,255,255},
            fillPattern=1)),
        Text(
          extent=[-100, -54; 100, -94],
          string="%name",
          style(
            pattern=0,
            gradient=2,
            fillColor=0)),
        Bitmap(extent=[-98,98; 98,-70], name="controller.jpg")));
  equation 
    
  end Controller;
  
  partial model Accessories 
    annotation (Icon(
        Rectangle(extent=[-100, 100; 100, -100], style(
            pattern=0,
            fillColor=7,
            rgbfillColor={255,255,255})),
        Bitmap(extent=[-100,56; 100,-98], name="accessories.jpg"),
        Text(
          extent=[-100, 100; 100, 40],
          string="%name",
          style(
            pattern=0,
            fillColor=7,
            rgbfillColor={255,255,255}))));
  equation 
    
  end Accessories;
  
  partial model Brakes 
    annotation (Icon(Bitmap(extent=[-100, 100; 100, -100], name="brakes.jpg"),
                                   Text(
          extent=[-100, -22; 100, -100],
          string="%name",
          style(color=0))));
  equation 
    
  end Brakes;
  
  partial model Chassis 
    annotation (Icon(Bitmap(extent=[-100, 100; 100, -100], name="chassis.jpg"),
                                    Text(
          extent=[-100, -22; 100, -100],
          string="%name",
          style(color=0))));
  equation 
    
  end Chassis;
  
  partial model Driveline 
    annotation (Icon(
        Rectangle(extent=[-100,100; 100,-100], style(
            pattern=0,
            fillColor=7,
            rgbfillColor={255,255,255})),
        Bitmap(extent=[-100,100; 100,-66], name="driveline.jpg"),
        Text(
          extent=[-100,-40; 100,-118],
          string="%name",
          style(color=0))));
  equation 
    
  end Driveline;
  
  partial model Driver 
    annotation (Icon(Bitmap(extent=[-100, 86; 100, -74], name="driver.jpg"),
          Text(
          extent=[-100, -52; 100, -130],
          string="%name",
          style(color=0))));
  equation 
    
  end Driver;
  
  partial model Electrical 
    annotation (Icon(
        Rectangle(extent=[-100, 100; 100, -100], style(
            pattern=0,
            fillColor=7,
            rgbfillColor={255,255,255})),
        Bitmap(extent=[-100,100; 100,-84], name="battery.jpg"),
        Text(
          extent=[-100,-50; 100,-100],
          style(
            color=0,
            thickness=4,
            fillColor=1,
            fillPattern=1),
          string="%name")));
  equation 
    
  end Electrical;
  
  partial model Environment 
    annotation (Icon(
        Bitmap(extent=[-100,100; 100,-100],name="environment.jpg"),
        Text(
          extent=[-100, 100; 100, 50],
          style(
            color=0,
            fillColor=7,
            fillPattern=1),
          string="%name")));
  equation 
    
  end Environment;
  
  partial model Powerplant 
    annotation (Icon(Bitmap(extent=[-100, 100; 100, -100], name="engine.jpg"),
                                   Text(
          extent=[-100,-100; 100,-178],
          string="%name",
          style(
            color=3,
            rgbcolor={0,0,255},
            fillColor=3,
            rgbfillColor={0,0,255}))));
  equation 
    
  end Powerplant;
  
  partial model Transmission 
    annotation (Icon(Bitmap(extent=[-100, 100; 100, -100], name=
              "transmission.jpg"),Text(
          extent=[-100, -22; 100, -100],
          string="%name",
          style(color=0))));
  equation 
    
  end Transmission;
  
  connector ShiftInterface 
    annotation (Icon(
        Rectangle(extent=[-100, 100; 100, -100], style(
            color=0,
            pattern=4,
            fillColor=7)),
        Polygon(points=[-22, 34; -8, -20; 4, -20; -12, 38; -22, 34], style(
            color=0,
            fillColor=10,
            fillPattern=1)),
        Ellipse(extent=[-34, 56; -4, 26], style(
            color=0,
            fillColor=10,
            fillPattern=1)),
        Ellipse(extent=[-18, -44; 18, -10], style(
            color=0,
            fillColor=10,
            fillPattern=1)),
        Rectangle(extent=[-60, -28; 60, -48], style(color=0, fillColor=10))));
  end ShiftInterface;
  
  partial connector PTMount 
    annotation (Icon(
        Rectangle(extent=[-100, 60; 100, -60], style(color=10, fillColor=7)),
        Rectangle(extent=[-100, 100; 100, 60], style(pattern=0, fillColor=10)),
        Rectangle(extent=[-100, -60; 100, -100], style(pattern=0, fillColor=10)),
        Line(points=[-50, 60; -50, 40; -20, 20; -80, 0; -20, -20; -50, -40; -50,
               -60; -50, -62], style(
            color=0,
            fillColor=10,
            fillPattern=1)),
        Line(points=[50, 60; 50, 20], style(
            color=0,
            fillColor=10,
            fillPattern=1)),
        Line(points=[20, -20; 20, 20; 80, 20; 80, -20], style(
            color=0,
            fillColor=10,
            fillPattern=1)),
        Line(points=[26, 0; 74, 0], style(
            color=0,
            fillColor=10,
            fillPattern=1)),
        Line(points=[50, 0; 50, -60], style(
            color=0,
            fillColor=10,
            fillPattern=1))));
    
  end PTMount;
  
  partial model Ground 
    annotation (Icon(
        Line(points=[-80, -40; 80, -40], style(color=0)),
        Line(points=[80, -40; 40, -80], style(color=0)),
        Line(points=[40, -40; 0, -80], style(color=0)),
        Line(points=[0, -40; -40, -80], style(color=0)),
        Line(points=[-40, -40; -80, -80], style(color=0)),
        Line(points=[0, -40; 0, -10], style(color=0))));
  equation 
    
  end Ground;
  
  partial model Data 
    annotation (Icon(
        Rectangle(extent=[-80, 84; 16, -60], style(color=0, fillColor=7)),
        Rectangle(extent=[-70, 74; -18, 68], style(
            color=6,
            fillColor=6,
            fillPattern=1)),
        Rectangle(extent=[-70, 48; 2, 42], style(
            color=6,
            fillColor=6,
            fillPattern=1)),
        Rectangle(extent=[-70, 20; 2, 14], style(
            color=6,
            fillColor=6,
            fillPattern=1)),
        Rectangle(extent=[-70, -8; -24, -14], style(
            color=6,
            fillColor=6,
            fillPattern=1)),
        Rectangle(extent=[-70, -38; 2, -44], style(
            color=6,
            fillColor=6,
            fillPattern=1))));
  equation 
    
  end Data;
  
end Icons;
