model Electrical "Fixed voltage" 
  extends VehicleSystems.Icons.Electrical;
  extends VehicleSystems.Interfaces.Subsystems.Electrical(
                                               redeclare connector 
      ElectricalBus = 
        VehicleSystems.Implementations.Minimal.TwelveVoltBus);
  annotation (Diagram, Icon(Text(
        extent=[-70, 40; 60, -50],
        style(
          color=0,
          fillColor=0,
          fillPattern=1),
        string="%V Volt Battery")));
  Modelica.Electrical.Analog.Sources.ConstantVoltage battery(V=V) 
    annotation (extent=[-10, 10; 10, 30], rotation=180);
  Modelica.Electrical.Analog.Basic.Ground ground 
    annotation (extent=[-20, -28; 0, -8]);
  parameter Modelica.SIunits.Voltage V=12;
equation 
  connect(battery.n, ground.p) 
    annotation (points=[-10, 20; -10, -8], style(color=3));
  connect(battery.n, power.n12) annotation (points=[-10, 20; -20, 20; -20, 100;
         0, 100], style(
      color=3,
      fillColor=0,
      fillPattern=1));
  connect(battery.p, power.p12) annotation (points=[10, 20; 20, 20; 20, 100; 0,
         100], style(
      color=3,
      fillColor=0,
      fillPattern=1));
end Electrical;
