model Transmission "Simple fixed gear ratio" 
  extends VehicleSystems.Icons.Transmission;
  extends VehicleSystems.Interfaces.Subsystems.Transmission;
  Modelica.Mechanics.Rotational.IdealGear gearset(ratio=ratio) 
    annotation (extent=[-10, -10; 10, 10]);
  annotation (Diagram);
  parameter Real ratio=8;
  Modelica.Mechanics.Rotational.Fixed ground 
    annotation (extent=[-10,-40; 10,-20]);
equation 
  connect(input_shaft, gearset.flange_a) 
    annotation (points=[-100, 0; -10, 0], style(color=0));
  connect(gearset.flange_b, output_shaft) 
    annotation (points=[10, 0; 100, 0], style(color=0));
  connect(ground.flange_b, gearset.bearing) 
    annotation (points=[0,-30; 0,-10], style(color=0, rgbcolor={0,0,0}));
end Transmission;
