partial model Brakes "Model of the physical brake interactions at each wheel" 
  
protected 
  connector StandardDriverBus 
    extends VehicleSystems.Interfaces.Bus;
    Modelica.Mechanics.Translational.Interfaces.Flange_a brake_pedal;
  end StandardDriverBus;
  replaceable connector BrakeMounts = 
    VehicleSystems.Interfaces.PTMount;
  replaceable connector DriverBus = StandardDriverBus extends 
    VehicleSystems.Interfaces.Bus;
  replaceable connector BrakesBus = VehicleSystems.Interfaces.Bus;
  replaceable model Environment = 
      VehicleSystems.Implementations.Null.Environment 
     extends VehicleSystems.Interfaces.Subsystems.Environment;
  replaceable connector ElectricalBus = VehicleSystems.Interfaces.ElectricalBus
    annotation (choicesAllMatching=true);
public 
  VehicleSystems.Interfaces.Wheels wheels_b 
    "Connection to allow brake torque to be applied to the wheels" 
    annotation (extent=[90, -10; 110, 10], rotation=90);
  ElectricalBus power "Connection to the vehicle electrical system" 
    annotation (extent=[-70,-110; -50,-90]);
  BrakeMounts brake_mounts "Connection used to mount any driveline geartrains."
    annotation (extent=[-10,-110; 10,-90]);
  
  inner BrakesBus brakes_bus annotation (extent=[-8, 90; 12, 110]);
  annotation (Diagram, Icon);
  outer Environment environment annotation (extent=[80, -100; 100, -80]);
  VehicleSystems.Interfaces.Wheels wheels_a 
    "Connection to allow brake torque to be applied to the wheels" 
    annotation (extent=[-110, -10; -90, 10], rotation=90);
  inner DriverBus driver_bus annotation (extent=[-70,90; -50,110]);
  Modelica.Mechanics.Translational.Sensors.PositionSensor pedal_position 
    annotation (extent=[-40,70; -20,90]);
equation 
  connect(pedal_position.flange_a, driver_bus.brake_pedal) annotation (points=
       [-40,80; -60,80; -60,98], style(color=58, rgbcolor={0,191,0}));
end Brakes;
