partial model Chassis "Subsystem representing chassis/vehicle dynamics" 
  
protected 
  connector StandardDriverBus 
    extends VehicleSystems.Interfaces.Bus;
    Modelica.Mechanics.Rotational.Interfaces.Flange_a steering_wheel;
  end StandardDriverBus;
  replaceable connector PowerplantMount = VehicleSystems.Interfaces.PTMount;
  replaceable connector TransmissionMount = VehicleSystems.Interfaces.PTMount;
  replaceable connector DrivelineMount = VehicleSystems.Interfaces.PTMount;
  replaceable connector BrakeMounts = VehicleSystems.Interfaces.PTMount;
  replaceable connector ChassisBus = VehicleSystems.Interfaces.Bus;
  replaceable connector DriverBus = StandardDriverBus extends 
    VehicleSystems.Interfaces.Bus;
  replaceable model Environment = 
      VehicleSystems.Implementations.Null.Environment 
     extends VehicleSystems.Interfaces.Subsystems.Environment;
  replaceable connector ElectricalBus = VehicleSystems.Interfaces.ElectricalBus
    annotation (choicesAllMatching=true);
public 
  BrakeMounts brake_mounts 
    "Connection where the brakes are connected to the chassis" 
    annotation (extent=[-70,-110; -50,-90]);
  PowerplantMount powerplant_mounts 
    "Connection where the powerplant is connected to the chassis" 
    annotation (extent=[50,-110; 70,-90]);
  TransmissionMount transmission_mounts 
    "Connection where the transmission is connected to the chassis" 
    annotation (extent=[10,-110; 30,-90]);
  DrivelineMount driveline_mounts 
    "Connection where the driveline is connected to the chassis" 
    annotation (extent=[-30,-110; -10,-90]);
  
  ElectricalBus power "Connection to the electrical system" 
    annotation (extent=[90, -110; 110, -90]);
  VehicleSystems.Interfaces.Wheels wheels 
    "Physical connection for all the wheels" 
    annotation (extent=[-110, -10; -90, 10], rotation=90);
  
  inner ChassisBus chassis_bus annotation (extent=[-30, 90; -10, 110]);
  annotation (Diagram, Icon);
  outer Environment environment annotation (extent=[-100, -100; -80, -80]);
  inner DriverBus driver_bus annotation (extent=[50,90; 70,110]);
end Chassis;
