partial model Driveline 
  "Model to compute distribution of drive torque to the wheels" 
  
protected 
  replaceable connector DrivelineMount = 
    VehicleSystems.Interfaces.PTMount;
  replaceable connector DrivelineBus = VehicleSystems.Interfaces.Bus;
  replaceable model Environment = 
      VehicleSystems.Implementations.Null.Environment 
     extends VehicleSystems.Interfaces.Subsystems.Environment;
  replaceable connector ElectricalBus = VehicleSystems.Interfaces.ElectricalBus
    annotation (choicesAllMatching=true);
public 
  Modelica.Mechanics.Rotational.Interfaces.Flange_b driveshaft 
    "The physical connection from the transmission to the axles" 
    annotation (extent=[-110, -10; -90, 10]);
  VehicleSystems.Interfaces.Wheels wheels 
    "Represents the physical connection to all of the wheels" 
    annotation (extent=[90, -10; 110, 10], rotation=90);
  DrivelineMount driveline_mounts 
    "Connection used to mount any driveline geartrains." 
    annotation (extent=[-10, -110; 10, -90]);
  ElectricalBus power "Connection to the vehicle electrical system" 
    annotation (extent=[70, -110; 90, -90]);
  
  inner DrivelineBus driveline_bus annotation (extent=[-30, 90; -10, 110]);
  annotation (Diagram);
  outer Environment environment annotation (extent=[-100, -100; -80, -80]);
end Driveline;
